local t = 0

function neobar (color,x,y,w,h)
	love.graphics.setColor(color[1],color[2],color[3],color[4]*0.1)
	love.graphics.rectangle("fill",x,y,w,h+2)
	love.graphics.setColor(color)
	love.graphics.rectangle("fill",x,y,w,h)
end

love.graphics.setBackgroundColor(255,255,255)
sT = os.clock()
rE = love.graphics.newCanvas(1024*2,1024*2)
rF = love.graphics.newCanvas(1024*2,1024*2)
love.graphics.setCanvas(rF)
neobar({39,170,225,255},0,1024,2048,1024)
neobar({231,74,153,255},0,0,2048,1024)
love.graphics.setCanvas(nil)
loveLogo = love.graphics.newImage("animation/love-logo.png")
loveLogo2 = love.graphics.newImage("animation/love-logo-2.png")

function love.draw ()
	local tE = os.clock()-sT
	if (tE < 1.5) then
		love.graphics.setCanvas(rE)
			love.graphics.clear()
			neobar({39,170,225,255},0,1024,eST2(sT,1.5,1024),1024)
			neobar({231,74,153,255},0,0,eST2(sT,1.5,1024),1024)
		love.graphics.setCanvas(nil)
		love.graphics.setColor(255,255,255,255)
		love.graphics.draw(rE,0,-1024+(768/2))
	elseif (tE < 1.5+2.5) then
		love.graphics.setColor(255,255,255,255)
		love.graphics.draw(rF,1024/2,768/2,math.rad(eST2(sT+1.5,2.5,-45)),1,1,1024,1024)
	elseif (tE < 1.5+2.5+1) then
		love.graphics.setColor(255,255,255,255)
		love.graphics.draw(rF,1024/2,768/2,math.rad(-45),1,1,1024,1024)
		love.graphics.setColor(255,255,255,eST2(sT+1.5+2.5,1,255))
		love.graphics.draw(loveLogo2,1024/2-loveLogo2:getWidth()/2,768/2-loveLogo2:getHeight()/2,0,1,1)
	else
		love.graphics.setColor(255,255,255,255)
		love.graphics.draw(rF,1024/2,768/2,math.rad(-45),1,1,1024,1024)
		love.graphics.setColor(255,255,255,255)
		love.graphics.draw(loveLogo2,1024/2-loveLogo2:getWidth()/2,768/2-loveLogo2:getHeight()/2,0,1,1)
		love.graphics.setColor(255,255,255,eST2(sT+1.5+2.5+1,5,255))
		love.graphics.draw(loveLogo,1024/2-512/2,768-290,0,0.5,0.5)
	end
end

function love.keypressed ()
	love.event.quit()
end
